Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class SpacingPropertyMaker

    java.lang.Object
      org.apache.fop.fo.properties.PropertyMaker
          org.apache.fop.fo.properties.CompoundPropertyMaker
              org.apache.fop.fo.properties.SpaceProperty.Maker
                  org.apache.fop.fo.properties.SpacingPropertyMaker

All Implemented Interfaces:
  java.lang.Cloneable

    public class SpacingPropertyMaker

extends SpaceProperty.Maker

A maker which creates 'letter-spacing' and 'word-spacing' properties. These two properties properties are standard space properties with additinal support for the 'normal' enum value.

Field Summary

Fields inherited from class org.apache.fop.fo.properties.PropertyMaker
`contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

Constructor Summary
`SpacingPropertyMaker(int propId)` Create a maker for [letter|word]-spacing.

Method Summary
`Property` | `convertProperty(Property p, PropertyList propertyList, FObj fo)` Support for the 'normal' value.

Methods inherited from class org.apache.fop.fo.properties.SpaceProperty.Maker
`makeNewProperty`

Methods inherited from class org.apache.fop.fo.properties.CompoundPropertyMaker
`addSubpropMaker, checkEnumValues, get, getSubpropMaker, make, make, make, makeCompound, useGeneric`

Methods inherited from class org.apache.fop.fo.properties.PropertyMaker
`addEnum, addKeyword, addShorthand, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, getName, getPercentBase, getPropId, getShorthand, getSubprop, isInherited, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpacingPropertyMaker

    public SpacingPropertyMaker(int propId)

  Create a maker for [letter|word]-spacing.

  Parameters:
    `propId` - the id for property.

Method Detail

### convertProperty

    public Property convertProperty(Property p,
                                    PropertyList propertyList,
                                    FObj fo)
                             throws PropertyException

  Support for the 'normal' value.

  Overrides:
    `convertProperty` in class `SpaceProperty.Maker`
  Parameters:
    `p` - the property to convert
    `propertyList` - the property list to use in conversion
    `fo` - the FO to use in conversion
  Returns:
    the converted property
  Throws:
    `PropertyException` - if a property conversion exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.